it/Billing
Billing Usage API (Beta)
Get paginated billing usage data for the authenticated user. NOTE: This is a beta endpoint and may be subject to change.
GET
/api/v1/billing/usage
Esporta i dati di utilizzo di un utente. Di seguito le descrizioni dei campi della risposta:
- timestamp: Il timestamp di creazione della voce di utilizzo
- sku: Il prodotto associato alla voce di utilizzo
- pricePerUnitUsd: Il prezzo per unità in USD
- unit: Il numero di unità consumate
- amount: L’importo totale addebitato per la voce di utilizzo
- currency: La valuta addebitata per la voce di utilizzo
- notes: Note relative alla voce di utilizzo
- inferenceDetails.requestId: L’ID della richiesta associata all’inferenza
- inferenceDetails.inferenceExecutionTime: Tempo impiegato per l’esecuzione dell’inferenza in millisecondi
- inferenceDetails.promptTokens: Numero di token richiesti nel prompt. Presente solo per l’utilizzo di LLM.
- inferenceDetails.completionTokens: Numero di token usati nel completamento. Presente solo per l’utilizzo di LLM.
Autorizzazioni
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Intestazioni
Accept header to specify the response format
Esempio:
"application/json, text/csv"
Parametri della query
Filter by currency
Opzioni disponibili:
USD, VCU, DIEM, BUNDLED_CREDITS Esempio:
"USD"
End date for filtering records (ISO 8601)
Esempio:
"2024-12-31T23:59:59.000Z"
Number of items per page
Intervallo richiesto:
0 < x <= 500Esempio:
200
Page number for pagination
Intervallo richiesto:
x > 0Esempio:
1
Sort order for createdAt field
Opzioni disponibili:
asc, desc Esempio:
"desc"
Start date for filtering records (ISO 8601)
Esempio:
"2024-01-01T00:00:00.000Z"
Precedente
Billing Usage Analytics (Beta)**Beta**: This endpoint is currently in beta and may be unstable. Request/response schemas and behavior may change without notice.
Get aggregated usage analytics for the authenticated user with breakdowns by date, model, and API key. This endpoint provides summary views of your API usage, ideal for dashboards and usage monitoring. Data is cached for 10 minutes.
Successivo
/api/v1/billing/usage